Subject: bug#35408: External monitor not working with GDM

From: Diego Nicola Barbato <[email-masked]>
Date: Fri, 26 Apr 2019 00:13:08 +0200

Hi Ben,

Ben Sturmfels <[email-masked]> writes:

> Hi Ludovic,
>
> On Thu, 2019-04-25 at 11:08 +0200, Ludovic Courtès wrote:
>> 
>> Ben Sturmfels <[email-masked]> skribis:
>> 
>> > I was previously using a 24" Samsung external monitor with my X200
>> > Guix
>> > System via VGA. Since the switch to GDM, I no longer seem to be
>> > able
>> > connect this monitor. When I do, the laptop screen just keeps
>> > flashing.
>> 
>> So the GDM login screen never shows up, right?
>
> I'm thoroughly confused now. GDM definitely *was* working with the
> laptop screen only, but now when I reconfigure it or choose an old Grub
> entry, I can't get to the login screen with either external monitor or
> the laptop. In both cases the console loops showing a message something
> like:
>
> New session c1 of user gdm.
> Removed session c1.
> .
> .
> .
> New session c506 of user gdm.
> Removed session c506.

This sounds familiar.  Can you check if /var/lib/gdm is owned by gdm.
If it isn't, chowning it back to gdm:gdm should fix it.

Regards

Diego